net.fortuna.ical4j.model.property

## Class Completed

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.DateProperty
      - - net.fortuna.ical4j.model.property.UtcProperty
        - - net.fortuna.ical4j.model.property.Completed

All Implemented Interfaces:
  Serializable

    public class Completed
    extends UtcProperty

$Id$ Created: [Apr 6, 2004] Defines a COMPLETED iCalendar component property.

         4.8.2.1 Date/Time Completed

            Property Name: COMPLETED

            Purpose: This property defines the date and time that a to-do was
            actually completed.

            Value Type: DATE-TIME

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: The property can be specified in a "VTODO" calendar
            component.

            Description: The date and time MUST be in a UTC format.

            Format Definition: The property is defined by the following notation:

              completed  = "COMPLETED" compparam ":" date-time CRLF

              compparam  = *(";" xparam)

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Completed()` Default constructor.
`Completed(DateTime aDate)`
`Completed(ParameterList aList, DateTime aDate)`
`Completed(ParameterList aList, String aValue)`
`Completed(String aValue)`

### Method Summary

### Methods inherited from class net.fortuna.ical4j.model.property.UtcProperty

`getDateTime, setDateTime, setTimeZone, validate`

### Methods inherited from class net.fortuna.ical4j.model.property.DateProperty

`copy, getDate, getTimeZone, getValue, hashCode, isUtc, setDate, setUtc, setValue`

### Methods inherited from class net.fortuna.ical4j.model.Property

`equals, getName, getParameter, getParameters, getParameters, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Completed

    public Completed()

Default constructor.

#### Completed

    public Completed(String aValue)
              throws ParseException

Parameters:
  `aValue` - a value string for this component
Throws:
  `ParseException` - when the specified string is not a valid date-time represenation

#### Completed

    public Completed(ParameterList aList,
             String aValue)
              throws ParseException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `ParseException` - when the specified string is not a valid date-time represenation

#### Completed

    public Completed(DateTime aDate)

Parameters:
  `aDate` - a date

#### Completed

    public Completed(ParameterList aList,
             DateTime aDate)

Parameters:
  `aList` - a list of parameters for this component
  `aDate` - a date